---
title: llarp/constants/proto.hpp

---

# llarp/constants/proto.hpp



## Defines

|                | Name           |
| -------------- | -------------- |
|  | **[LLARP_PROTO_VERSION](Files/proto_8hpp.md#define-llarp-proto-version)**  |
|  | **[LLARP_ETH_PROTO](Files/proto_8hpp.md#define-llarp-eth-proto)**  |
|  | **[LLARP_KEYFILE_VERSION](Files/proto_8hpp.md#define-llarp-keyfile-version)**  |




## Macros Documentation

### define LLARP_PROTO_VERSION

```cpp
#define LLARP_PROTO_VERSION (0)
```


### define LLARP_ETH_PROTO

```cpp
#define LLARP_ETH_PROTO (0xD1CE)
```


### define LLARP_KEYFILE_VERSION

```cpp
#define LLARP_KEYFILE_VERSION (1)
```


## Source code

```cpp
#pragma once

#ifndef LLARP_PROTO_VERSION
#define LLARP_PROTO_VERSION (0)
#endif

#ifndef LLARP_ETH_PROTO
#define LLARP_ETH_PROTO (0xD1CE)
#endif

#ifndef LLARP_KEYFILE_VERSION
#define LLARP_KEYFILE_VERSION (1)
#endif
```


-------------------------------

Updated on 2022-04-18 at 19:54:46 +0000
